* The Dark Side of German "Welcome Culture" 
* Investigating the causes behind attacks on refugees in 2015
 
version 14.1
clear all
set mem 2g
set matsize 11000
set more off
ssc install savesome, replace
ssc install geonear, replace
ssc install estout, replace
ssc install xtmrho, replace
ssc install coefplot, replace
ssc install gllamm, replace


* Insert your path here [...]
cd "...\dark side"


* 1a) Distances to the closest incidents during the last 7 days (without demonstrations) 

	* Read data for attacks and their coordinates 
	insheet using "ohne_demos_7_tage.csv", delimiter(,) clear

	* Save single datasheets for each seven days (each ohne_demos_7_tag_xxx file includes the coordinates of the attacks that happened during the period xxx minus seven days)  
	forvalues i=1/365{
	savesome if v`i' ==1 using ohne_demos_7_tag_`i'.dta, replace
	}

	* Count number of attacks in each seven days file
	forvalues i = 1/365{
	clear all
	use using ohne_demos_7_tag_`i'.dta
	gen anzahl_ohne_demos = 0
	replace anzahl_ohne_demos = _N
	save ohne_demos_7_tag_`i'.dta, replace
	}

	* Read data with all districts + polygon centroid data 
	clear all
	*alte Datei insheet using "Kreisdaten.csv", delimiter(,)
	insheet using "Kreisdaten_05.07.2016.csv", delimiter(,)
	save alle_Kreise, replace

	* Calculate distances between district centroid and incident coordinates 
	forvalues i=1/365 {
	use alle_Kreise
	geonear kreis_id breitengrad_mitte lngengrad_mitte using "ohne_demos_7_tag_`i'.dta",  n(id2 bgrad lgrad) ell nearcount(3)
	gen tag = 0`i'
	merge 1:1 _n using ohne_demos_7_tag_`i'.dta
	egen anzahl_ohne_demos_2 = mean(anzahl_ohne_demos)
	savesome  rechte_oa_kreis_anteil rechte_oa_kreis_ep_anteil kreis_id identitaet1 identitaet2 alq bildung1 bildung2 mgh rechte_kreis gltige_kreis rechte_kreis_ep_anteil wahlberechtigte_kreis rechte_kreis_anteil wahlbeteiligung_kreis_anteil einwohner_kreis maenner_anteil_kreis einwohnerdichte_kreis km_to_nid*  tag anzahl_ohne_demos_2 lebenserw wansaldo1014 sterbeflle sterberate using kreisdistanz2_ohne_demos_7_`i' , replace
	clear all
	}

	* Combine all distance files into one long file
	use kreisdistanz2_ohne_demos_7_1
	save kreisdistanz2_gesamt_ohne_demos_7, replace

	forvalues i =2/365 {
	use kreisdistanz2_gesamt_ohne_demos_7
	append using kreisdistanz2_ohne_demos_7_`i'
	save kreisdistanz2_gesamt_ohne_demos_7, replace
	clear all
	}

	clear all
	use kreisdistanz2_gesamt_ohne_demos_7
	rename km_to_nid1 distance_1_ohne_demos
	rename km_to_nid2 distance_2_ohne_demos
	rename km_to_nid3 distance_3_ohne_demos
	save kreisdistanz2_gesamt_ohne_demos_7, replace

* 1b) Distances to the closest incidents during the last 7 days (including demonstrations) 

clear all
set mem 2g
set matsize 11000
set more off

	* Read data for attacks and their coordinates 
	insheet using "mit_demos_7_tage.csv", delimiter(,) clear

	* Save single datasheets for each seven days (each mit_demos_7_tag_xxx file includes the coordinates of the attacks that happened during the period xxx minus seven days)
	forvalues i=1/365{
	savesome if v`i' ==1 using mit_demos_7_tag_`i'.dta, replace
	}

	* Count number of attacks in each seven days file
	forvalues i = 1/365{
	clear all
	use using mit_demos_7_tag_`i'.dta
	gen anzahl_mit_demos = 0
	replace anzahl_mit_demos = _N
	save mit_demos_7_tag_`i'.dta, replace
	}

	* Read data with all districts + polygon centroid data 
	clear all
	insheet using "Kreisdaten.csv", delimiter(,)
	save alle_Kreise, replace

	* Calculate distances between district centroid and incident coordinates
	forvalues i=1/365 {
	use alle_Kreise
	geonear kreis_id breitengrad_mitte lngengrad_mitte using "mit_demos_7_tag_`i'.dta",  n(id2 bgrad lgrad) ell nearcount(3)
	gen tag = 0`i'
	merge 1:1 _n using mit_demos_7_tag_`i'.dta
	egen anzahl_mit_demos_2 = mean(anzahl_mit_demos)
	savesome  kreis_id identitaet1 identitaet2 alq bildung1 bildung2 mgh rechte_kreis gltige_kreis wahlberechtigte_kreis rechte_kreis_anteil wahlbeteiligung_kreis_anteil einwohner_kreis maenner_anteil_kreis einwohnerdichte_kreis km_to_nid*  tag anzahl_mit_demos_2 lebenserw wansaldo1014 sterbeflle sterberate using kreisdistanz2_mit_demos_7_`i' , replace
	clear all
	}

	* Combine all distance files into one long file
	use kreisdistanz2_mit_demos_7_1
	save kreisdistanz2_gesamt_mit_demos_7, replace

	forvalues i =2/365 {
	use kreisdistanz2_gesamt_mit_demos_7
	append using kreisdistanz2_mit_demos_7_`i'
	save kreisdistanz2_gesamt_mit_demos_7, replace
	clear all
	}

* 1c) Build analysis file

	* Merge data files
	clear all
	insheet using "Anschlaege_ohne_Demos_2015.csv", delimiter(,)
	keep anschlag kreis_day
	duplicates report
	duplicates drop
	save anschlaege_2015, replace

	clear all
	use kreisdistanz2_gesamt_mit_demos_7
	rename km_to_nid1 distance_1_mit_demos
	rename km_to_nid2 distance_2_mit_demos
	rename km_to_nid3 distance_3_mit_demos
	save kreisdistanz2_gesamt_mit_demos_7, replace

	merge 1:1 _n using kreisdistanz2_gesamt_ohne_demos_7
	egen kreis_day = concat(kreis_id tag)
	drop _merge
	merge 1:m kreis_day using anschlaege_2015
	save Analysedatei_Anschlaege_Kreise, replace

	* Generate and rescale variables
	use Analysedatei_Anschlaege_Kreise
	gen av = 0
	replace av = 1 if anschlag ==1
	gen land = substr(kreis_id, 1,2)
	replace rechte_kreis_anteil = 100 * rechte_kreis_anteil
	replace rechte_oa_kreis_anteil = 100 * rechte_oa_kreis_anteil
	replace rechte_kreis_ep_anteil = 100 * rechte_kreis_ep_anteil
	replace rechte_oa_kreis_ep_anteil = 100 * rechte_oa_kreis_ep_anteil
	gen afd_kreis_anteil = rechte_kreis_anteil - rechte_oa_kreis_anteil
	gen afd_kreis_ep_anteil = rechte_kreis_ep_anteil - rechte_oa_kreis_ep_anteil
	replace wahlbeteiligung_kreis_anteil = 100 * wahlbeteiligung_kreis_anteil
	replace maenner_anteil_kreis = 100 * maenner_anteil_kreis
	replace einwohner_kreis = einwohner_kreis /100000
	replace wansaldo1014 = wansaldo1014/1000
	gen ostdummy = 0
	replace ostdummy = 1 if land == "11"
	replace ostdummy = 1 if land == "12"
	replace ostdummy = 1 if land == "13"
	replace ostdummy = 1 if land == "14"
	replace ostdummy = 1 if land == "15"
	replace ostdummy = 1 if land == "16"
	gen log_dist_1_mit_demos = log(distance_1_mit_demos)
	gen log_dist_2_mit_demos = log(distance_2_mit_demos)
	gen log_dist_3_mit_demos = log(distance_3_mit_demos)
	gen log_dist_1_ohne_demos = log(distance_1_ohne_demos)
	gen log_dist_2_ohne_demos = log(distance_2_ohne_demos)
	gen log_dist_3_ohne_demos = log(distance_3_ohne_demos)
	gen identitaet1b = identitaet1*25
	sort kreis_id tag
	by kreis_id: gen cum_anschlag_kreis=sum(anschlag)
	gen do_dummy = 1
	replace do_dummy = !mod((tag-1),7)
	gen fr_dummy = 1
	replace fr_dummy = !mod((tag-2),7) 
	gen sa_dummy = 1
	replace sa_dummy = !mod((tag-3),7)
	gen so_dummy = 1
	replace so_dummy = !mod((tag-4),7)
	gen mo_dummy = 1
	replace mo_dummy = !mod((tag-5),7)
	gen di_dummy = 1
	replace di_dummy = !mod((tag-6),7)
	gen mi_dummy = 1
	replace mi_dummy = !mod((tag-7),7)
	gen fr_sa_dummy = 0
	replace fr_sa_dummy = 1 if fr_dummy ==1
	replace fr_sa_dummy = 1 if sa_dummy ==1
	gen sa_so_dummy = 0
	replace sa_so_dummy = 1 if sa_dummy ==1
	replace sa_so_dummy = 1 if so_dummy ==1
	gen summer = 0
	replace summer = 1 if tag > 171 & tag < 266
	tab land, gen(laenderdummy)
	
	

	* Label variables
	label variable ostdummy "East-Germany = 1, West-Germany = 0"
	label variable rechte_kreis_anteil "right party strength"
	label variable rechte_oa_kreis_anteil "right party strength without AfD"
	label variable distance_1_mit_demos "distance to closest previous incident" 
	label variable distance_2_mit_demos "distance to 2nd closest previous incident"
	label variable distance_3_mit_demos "distance to 3rd closest previous incident"
	label variable distance_1_ohne_demos "distance to closest previous attack"
	label variable distance_2_ohne_demos "distance to 2nd closest previous attack"
	label variable distance_3_ohne_demos "distance to 3rd closest previous attack"
	label variable log_dist_1_mit_demos "log. distance to closest previous incident" 
	label variable log_dist_2_mit_demos "log. distance to 2nd closest previous incident"
	label variable log_dist_3_mit_demos "log. distance to 3rd closest previous incident"
	label variable log_dist_1_ohne_demos "log. distance to closest previous attack"
	label variable log_dist_2_ohne_demos "log. distance to 2nd closest previous attack"
	label variable log_dist_3_ohne_demos "log. distance to 3rd closest previous attack"
	label variable identitaet1b "national (0) vs. European identity (100)"
	label variable identitaet2 "xenophobia"
	label variable alq "unemployment rate"
	label variable bildung1 "share of students with A-levels" 
	label variable bildung2 "share of school leavers without any degree"
	label variable mgh "share with migration background"   
	label variable wahlbeteiligung_kreis_anteil "turnout at general election 2013"
	label variable maenner_anteil_kreis "share of male inhabitants"
	label variable einwohner_kreis "# of inhabitants"
	label variable mo_dummy "Monday"
	label variable di_dummy "Tuesday"
	label variable mi_dummy "Wednesday"
	label variable do_dummy "Thursday"
	label variable fr_dummy "Friday"
	label variable sa_dummy "Saturday"
	label variable so_dummy "Sunday"
	label variable fr_sa_dummy "Friday/Saturday"
	label variable sa_so_dummy "Saturday/Sunday"
	label variable summer "summertime (21. June - 22. September)"
	label variable cum_anschlag_kreis "# of previous attacks in district"
	label variable anzahl_ohne_demos "# of attacks during last week in Germany"
	label variable anzahl_mit_demos "# of attacks/demos during last week in Germany"
	label variable lebenserw "life expectancy"
	label variable wansaldo1014 "net migration" 
	label variable sterbef "deaths"
	label variable sterberate "death rate"
	save Analysedatei_Anschlaege_Kreise, replace

	
* 2a) Main models Table 3
set more off

* M1: Only East Germany dummy
	timer on 1
	melogit av ostdummy || land: || kreis_id:
	eststo model_1
	timer off 1
	timer list 1
	xtmrho
	estat ic
	coefplot model_1, eform
	graph save model_1, replace

	predict re*, reffects
	generate west = _b[ostdummy] * 0  +  (_b[_cons]+re1+re2) 
	generate ost = _b[ostdummy] * 1  +  (_b[_cons]+re1+re2) 
	generate p_west = exp(west)/(1+exp(west))
	generate p_ost = exp(ost)/(1+exp(ost))
	bysort kreis_id: gen seq=_n
	sum p_west p_ost if seq==1
	drop p_west p_ost seq ost west
	drop re1 re2

* M2: Main model  
	timer on 2
	melogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy || land: || kreis_id:
	eststo model_2
	timer off 2
	timer list 2
	xtmrho
	estat ic
	coefplot model_2, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_2, replace
	graph export model_2.eps, replace
	
* M3: Main model (distances to the three closest attacks)
	set more off
	timer on 3
	melogit av  rechte_kreis_anteil log_dist_1_mit_demos log_dist_2_mit_demos log_dist_3_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy || land: || kreis_id:
	eststo model_3
	timer off 3
	timer list 3
	xtmrho
	estat ic
	coefplot model_3, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_3, replace
	graph export model_3.eps, replace
	
* M4: Main model (+ two count variables)
	set more off
	timer on 4
	melogit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b       || land: || kreis_id:
	eststo model_4
	timer off 4
	timer list 4
	xtmrho
	estat ic
	
	*coefplot model_4, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1mono) xsize(7) ysize(4)
	coefplot model_4, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) msize(small)  mcolor(black) levels(99.9 99 95) ciopts(lwidth(2 2 2) lcolor(*.25 *.50 *.75) ) legend(order(1 "CI 99.9 %" 2 "CI 99 %" 3 "95 %") row(1)) drop(_cons) scheme(s1manual) xsize(7) ysize(4)
	graph save model_4, replace
	graph export model_4.eps, replace

	*Predict random effects (re1 = state, re2 = district)
	predict re*, reffects

	* Means for predicted probabilities 
	*sum log_dist_1_mit_demos rechte_kreis_anteil cum_anschlag_kreis anzahl_mit_demos alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis
	*bysort land: gen seq_land=_n
	*sum  identitaet1b if seq_land==1
	bysort kreis_id: gen seq_kreis=_n
	
	* predited values for rechte [0-15%]
	generate xr_0 = _b[rechte_kreis_anteil]*0  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_1 = _b[rechte_kreis_anteil]*1  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_2 = _b[rechte_kreis_anteil]*2  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_3 = _b[rechte_kreis_anteil]*3  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_4 = _b[rechte_kreis_anteil]*4  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_5 = _b[rechte_kreis_anteil]*5  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_6 = _b[rechte_kreis_anteil]*6  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_7 = _b[rechte_kreis_anteil]*7  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_8 = _b[rechte_kreis_anteil]*8  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_9 = _b[rechte_kreis_anteil]*9  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_10 = _b[rechte_kreis_anteil]*10  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_11 = _b[rechte_kreis_anteil]*11  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_12 = _b[rechte_kreis_anteil]*12  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_13 = _b[rechte_kreis_anteil]*13  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_14 = _b[rechte_kreis_anteil]*14  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_15 = _b[rechte_kreis_anteil]*15  + _b[identitaet1b]*-23.62228 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403 + _b[log_dist_1_mit_demos]* 4.458519 + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 

	generate xp_0_rechte = exp(xr_0)/(1+exp(xr_0))
	generate xp_1_rechte = exp(xr_1)/(1+exp(xr_1))
	generate xp_2_rechte = exp(xr_2)/(1+exp(xr_2))
	generate xp_3_rechte = exp(xr_3)/(1+exp(xr_3))
	generate xp_4_rechte = exp(xr_4)/(1+exp(xr_4))
	generate xp_5_rechte = exp(xr_5)/(1+exp(xr_5))
	generate xp_6_rechte = exp(xr_6)/(1+exp(xr_6))
	generate xp_7_rechte = exp(xr_7)/(1+exp(xr_7))
	generate xp_8_rechte = exp(xr_8)/(1+exp(xr_8))
	generate xp_9_rechte = exp(xr_9)/(1+exp(xr_9))
	generate xp_10_rechte = exp(xr_10)/(1+exp(xr_10))
	generate xp_11_rechte = exp(xr_11)/(1+exp(xr_11))
	generate xp_12_rechte = exp(xr_12)/(1+exp(xr_12))
	generate xp_13_rechte = exp(xr_13)/(1+exp(xr_13))
	generate xp_14_rechte = exp(xr_14)/(1+exp(xr_14))
	generate xp_15_rechte = exp(xr_15)/(1+exp(xr_15))

	sum xp_* if seq_kreis==1
	drop xp_* xr_*

	*predict values for log_dist_1_mit_demos 
	generate xr_1 =  	_b[log_dist_1_mit_demos]* 0 				+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_2 =  	_b[log_dist_1_mit_demos]* 0.693147180559945	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_3 =  	_b[log_dist_1_mit_demos]* 1.09861228866811	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_4 =  	_b[log_dist_1_mit_demos]* 1.38629436111989	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_5 =  	_b[log_dist_1_mit_demos]* 1.6094379124341	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_6 =  	_b[log_dist_1_mit_demos]* 1.79175946922805	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_7 =  	_b[log_dist_1_mit_demos]* 1.94591014905531	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_8 =  	_b[log_dist_1_mit_demos]* 2.07944154167984	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_9 =  	_b[log_dist_1_mit_demos]* 2.19722457733622	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_10 =  	_b[log_dist_1_mit_demos]* 2.30258509299405 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_20 =  	_b[log_dist_1_mit_demos]* 2.99573227355399 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_30 =  	_b[log_dist_1_mit_demos]* 3.40119738166216 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_40 =  	_b[log_dist_1_mit_demos]* 3.68887945411394 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_50 =  	_b[log_dist_1_mit_demos]* 3.91202300542815 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_60 =  	_b[log_dist_1_mit_demos]* 4.0943445622221 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_70 =  	_b[log_dist_1_mit_demos]* 4.24849524204936 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_80 =  	_b[log_dist_1_mit_demos]* 4.38202663467388 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_90 =  	_b[log_dist_1_mit_demos]* 4.49980967033027 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_100 =  	_b[log_dist_1_mit_demos]* 4.60517018598809 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_150 =  	_b[log_dist_1_mit_demos]* 5.01063529409626 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_200 =  	_b[log_dist_1_mit_demos]* 5.29831736654804 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_250 =  	_b[log_dist_1_mit_demos]* 5.52146091786225 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_300 =  	_b[log_dist_1_mit_demos]* 5.7037824746562 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_350 =  	_b[log_dist_1_mit_demos]* 5.85793315448346 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_400 =  	_b[log_dist_1_mit_demos]* 5.99146454710798 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_450 =  	_b[log_dist_1_mit_demos]* 6.10924758276437 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_500 =  	_b[log_dist_1_mit_demos]* 6.21460809842219 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2) 
	generate xr_550 =  	_b[log_dist_1_mit_demos]* 6.30991827822652 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  
	generate xr_600 =  	_b[log_dist_1_mit_demos]* 6.39692965521615 	+ _b[rechte_kreis_anteil]*6.463754  + _b[identitaet1b]*-23.64403 + _b[alq]*6.453731 + _b[bildung1]*32.14328 + _b[bildung2]*5.596517 + _b[mgh]*16.72321 + _b[wahlbeteiligung_kreis_anteil]*69.75859 + _b[einwohner_kreis]*2.009141 + _b[maenner_anteil_kreis]*49.0403  + _b[summer]* 0 + _b[di_dummy]* 0 + _b[mi_dummy]* 0 + _b[do_dummy]* 0 + _b[fr_dummy]* 0 + _b[sa_dummy]*0 + _b[so_dummy]*0 + _b[cum_anschlag_kreis]* 0.7033463 + _b[anzahl_mit_demos]* 17.22466 + (_b[_cons]+re1+re2)  

	generate xp_1  = exp(xr_1)/(1+exp(xr_1))
	generate xp_2  = exp(xr_2)/(1+exp(xr_2))
	generate xp_3  = exp(xr_3)/(1+exp(xr_3))
	generate xp_4  = exp(xr_4)/(1+exp(xr_4))
	generate xp_5  = exp(xr_5)/(1+exp(xr_5))
	generate xp_6  = exp(xr_6)/(1+exp(xr_6))
	generate xp_7  = exp(xr_7)/(1+exp(xr_7))
	generate xp_8  = exp(xr_8)/(1+exp(xr_8))
	generate xp_9  = exp(xr_9)/(1+exp(xr_9))
	generate xp_10  = exp(xr_10)/(1+exp(xr_10))
	generate xp_20  = exp(xr_20)/(1+exp(xr_20))
	generate xp_30  = exp(xr_30)/(1+exp(xr_30))
	generate xp_40  = exp(xr_40)/(1+exp(xr_40))
	generate xp_50  = exp(xr_50)/(1+exp(xr_50))
	generate xp_60  = exp(xr_60)/(1+exp(xr_60))
	generate xp_70  = exp(xr_70)/(1+exp(xr_70))
	generate xp_80  = exp(xr_80)/(1+exp(xr_80))
	generate xp_90  = exp(xr_90)/(1+exp(xr_90))
	generate xp_100  = exp(xr_100)/(1+exp(xr_100))
	generate xp_150  = exp(xr_150)/(1+exp(xr_150))
	generate xp_200  = exp(xr_200)/(1+exp(xr_200))
	generate xp_250  = exp(xr_250)/(1+exp(xr_250))
	generate xp_300  = exp(xr_300)/(1+exp(xr_300))
	generate xp_350  = exp(xr_350)/(1+exp(xr_350))
	generate xp_400  = exp(xr_400)/(1+exp(xr_400))
	generate xp_450  = exp(xr_450)/(1+exp(xr_450))
	generate xp_500  = exp(xr_500)/(1+exp(xr_500))
	generate xp_550  = exp(xr_550)/(1+exp(xr_550))
	generate xp_600  = exp(xr_600)/(1+exp(xr_600))

	sum xp_* if seq_kreis==1
	drop xp_* xr_*
	drop re1 re2
	
	
* 2b) Online Annex 

* O1: Null model
	timer on 5
	melogit av || land: || kreis_id:
	eststo model_o1
	timer off 5
	timer  list 5
	xtmrho
	estat ic
	
* O2: Robustness check: Model 4 + East_Germany Dummy 
	timer on 6
	melogit av  ostdummy rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id:
	eststo model_o2
	timer off 6
	timer list 6
	xtmrho
	estat ic
	coefplot model_o2, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o2, replace
	graph export model_o2.eps, replace

* O3: Robustness check: EP vote share 
	set more off
	timer on 7
	melogit av  rechte_kreis_ep_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id:
	eststo model_o3
	timer off 7
	timer list 7
	xtmrho
	estat ic
	coefplot model_o3, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o3, replace
	graph export model_o3.eps, replace

* O4: Robustness check: right without AfD 
	timer on 8
	melogit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_oa_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b       || land: || kreis_id:
	eststo model_o4
	timer off 8
	timer list 8
	xtmrho
	estat ic
	coefplot model_o4, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o4, replace
	graph export model_o4.eps, replace
	
	
* O5: Robustness check: linear distance instead of logarithm 
	timer on 8
	melogit av  rechte_kreis_anteil distance_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id: 
	eststo model_o5
	timer off 8
	timer list 8
	xtmrho
	estat ic
	coefplot model_o5, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o5, replace
	graph export model_o5.eps, replace
	
* O6: Robustness check: population density instead of number of inhabitants 
	timer on 9
	melogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohnerdichte_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id: 
	eststo model_o6
	timer off 9
	timer list 9
	xtmrho
	estat ic
	coefplot model_o6, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o6, replace
	graph export model_o6.eps, replace

* O7: Robustness check: life expectancy + migration (instead of unemployment and education)
	timer on 10
	melogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos lebenserw wansaldo1014 || land: || kreis_id: 
	eststo model_o7
	timer off 10
	timer list 10
	xtmrho
	estat ic
	coefplot model_o7, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o7, replace
	graph export model_o7.eps, replace
	
* O8: O7 but death-rate instead of life expectancy
	timer on 11
	melogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos sterberate wansaldo1014 || land: || kreis_id: 
	eststo model_o8
	timer off 11
	timer list 11
	xtmrho
	estat ic
	coefplot model_o8, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o8, replace
	graph export model_o8.eps, replace	
	
* O9: Robustness check: ALLBUS based xenophobia variable instead of Eurobarometer European vs. national identity measure	
	timer on 12
	melogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet2  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id: 
	eststo model_o9
	timer off 12
	timer list 12
	xtmrho
	estat ic
	coefplot model_o9, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o9, replace
	graph export model_o9.eps, replace

* O10a: Robustness check: 	Only East Germany, two-level (districts) + Länder fixed effects
	set more off
	timer on 14
	melogit av  rechte_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==1 || kreis_id: 
	eststo model_o10a
	timer off 14
	timer list 14
	estat ic
	coefplot model_o10a, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o10a, replace
	graph export model_o10a.eps, replace	

* O10b: Robustness check: 	Only West Germany, two-level (districts) + Länder fixed effects
	set more off
	timer on 14
	melogit av  rechte_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==0 || kreis_id: 
	eststo model_o10a
	timer off 14
	timer list 14
	estat ic
	coefplot model_o10a, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o10a, replace
	graph export model_o10a.eps, replace		
	
* O11: Robustness check: main model 20 integration points xtmelogit	
	set more off
	timer on 13
	xtmelogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id:,   intpoints(20)
	eststo model_o11
	timer off 13
	timer list 13
	xtmrho
	estat ic
	coefplot model_o11, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o11, replace
	graph export model_o11.eps, replace
	
* O12: Robustness check: main model 7 integration points, numerical integration with gllamm 	
	set more off
	generate kreisnummer= substr(kreis_id, 1, 5)
	destring kreisnummer, replace
	generate state = land
	destring state, replace
	timer on 14
	gllamm av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos, family(binomial) link(logit) i(kreisnummer state ) nip(7)
	eststo model_o12
	timer off 14
	timer list 14
	estat ic
	coefplot model_o12, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o12, replace
	graph export model_o12.eps, replace
	
* O13: Robustness check: main model 7 integration points, adaptive quadrature with gllamm	
	set more off
	timer on 15
	gllamm av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos, family(binomial) link(logit) i(kreisnummer state ) nip(7) adapt
	eststo model_o13
	timer off 15
	timer list 15
	estat ic
	coefplot model_o13, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o13, replace
	graph export model_o13.eps, replace	
	
* O14: Robustness check: main model with QR decomposition of the variance-components matrix
	set more off
	timer on 16
	meqrlogit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b  || land: || kreis_id:
	eststo model_o14
	timer off 16
	timer list 16
	xtmrho
	estat ic
	coefplot model_o14, xline (1) eform graphregion(color(white)) bgcolor(white) msymbol(d) mcolor(white) levels(99 95) ciopts(lwidth(2 ..) lcolor(*.33 *.66) recast(rspike .. )) legend(order(1 "CI 99 %" 2 "CI 95 %") row(1)) drop(_cons) scheme(s1color) xsize(7) ysize(4)
	graph save model_o14, replace
	graph export model_o14.eps, replace	


	
* Additional Robustness checks not presented in the paper	
	
* O13: Robustness check nur Ostdeutschland normale logit mit Länder-fixed effects (basiert auf main model M2)
* Problem: diese Modelle sind keine Mehrebenenmodelle, d.h. die Varianz zwischen den Ländern und die Varianz zwischen den Kriesen wird nicht modelliert!
logit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy   laenderdummy* if ostdummy == 1

* O14: Robustness check nur Westdeutschland normale logit mit Länder-fixed effects (basiert auf main model M2)
* Problem: diese Modelle sind keine Mehrebenenmodelle, d.h. die Varianz zwischen den Ländern und die Varianz zwischen den Kriesen wird nicht modelliert!
logit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy   laenderdummy* if ostdummy == 0

* O15: Robustness check nur Ostdeutschland normale logit mit Länder-fixed effects (basiert auf main model M4)
* Problem: diese Modelle sind keine Mehrebenenmodelle, d.h. die Varianz zwischen den Ländern und die Varianz zwischen den Kriesen wird nicht modelliert!
logit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b   laenderdummy* if ostdummy == 1

* O16: Robustness check nur Westdeutschland normale logit mit Länder-fixed effects (basiert auf main model M4)
* Problem: diese Modelle sind keine Mehrebenenmodelle, d.h. die Varianz zwischen den Ländern und die Varianz zwischen den Kriesen wird nicht modelliert!
logit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b    laenderdummy* if ostdummy == 0

* O17: Robustness check nur Ostdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M2)
melogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==1 || kreis_id: 

* O18: Robustness check nur Westdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M2)
melogit av  rechte_kreis_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==0 || kreis_id: 

* O19: Robustness check nur Ostdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M4)
melogit av  rechte_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==1 || kreis_id: 

* O20: Robustness check nur Westdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M4)
melogit av  rechte_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==0 || kreis_id: 

* O21: Robustness check mit rechte_oa_kreis_anteil (basiert auf main model M4)
melogit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_oa_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b       || land: || kreis_id:

* O22: Robustness check mit rechte_oa_ep_kreis_anteil
melogit av  rechte_oa_kreis_ep_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id:

* O23: Robustness check nur Ostdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M2) mit rechte ohne AfD
melogit av  rechte_oa_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==1 || kreis_id: 

* O24: Robustness check nur Westdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M2) mit rechte ohne AfD
melogit av  rechte_oa_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==0 || kreis_id: 

* O25: Robustness check mit AfD_kreis_anteil (basiert auf main model M4)
melogit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  afd_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b       || land: || kreis_id:

* O26: Robustness check mit AfD_ep_kreis_anteil
melogit av  afd_kreis_ep_anteil log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy cum_anschlag_kreis anzahl_mit_demos || land: || kreis_id:

* O27: Robustness check nur Ostdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M2) mit AfD_kreis_anteil
melogit av  afd_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==1 || kreis_id: 

* O28: Robustness check nur Westdeutschland Mehrebenenlogit nur mit Kreisebene (basiert auf main model M2) mit AfD_kreis_anteil
melogit av  afd_kreis_anteil anzahl_mit_demos cum_anschlag_kreis log_dist_1_mit_demos identitaet1b  alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis summer  di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy laenderdummy* if ostdummy ==0 || kreis_id: 

* O29: Robustness check mit AFD und rechte_oa_kreis_anteil (basiert auf main model M4)
melogit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_oa_kreis_anteil afd_kreis_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b       || land: || kreis_id:

* O30: Robustness check mit AFD und rechte_oa_kreis_anteil (basiert auf main model M4) EP-Wahl
melogit av log_dist_1_mit_demos anzahl_mit_demos cum_anschlag_kreis di_dummy mi_dummy do_dummy fr_dummy sa_dummy so_dummy summer  rechte_oa_kreis_ep_anteil afd_kreis_ep_anteil alq bildung1 bildung2 mgh   wahlbeteiligung_kreis_anteil maenner_anteil_kreis einwohner_kreis identitaet1b       || land: || kreis_id:


